<?php

namespace Drp\NativeEventApp\Test\Unit\Notifications\Listeners;

use Carbon\Carbon;
use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Models\Notification;
use Drp\NativeEventApp\Notifications\Events\NotificationSendSuccess;
use Drp\NativeEventApp\Test\TestCase;

class UpdateNotificationOnSuccessTest extends TestCase
{
    /** @test */
    public function it_updates_the_notifications_total_count_on_success(): void
    {
        Carbon::setTestNow('02-04-2020 14:00');

        $notification = Notification::make(
            factory(Event::class)->create(),
            'Test',
            'Message'
        )->sendAt(now())->publish();

        $this->assertEquals(0, $notification->fresh()->total_sent);
        event(new NotificationSendSuccess($notification));
        $this->assertEquals(1, $notification->fresh()->total_sent);
    }
}
