<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Database\TableName;
use Drp\NativeEventApp\Test\TestCase;

class TableNameTest extends TestCase
{
    /** @test */
    public function it_can_get_the_current_table_prefix(): void
    {
        config()->set('native-event-app.database.table_prefix', 'nea');

        $result = TableName::prefix();

        $this->assertEquals('nea_', $result);
    }

    /** @test */
    public function it_makes_a_table_name_with_the_defined_table_prefix(): void
    {
        config()->set('native-event-app.database.table_prefix', 'nea');

        $result = TableName::make('test_table');

        $this->assertEquals('nea_test_table', $result);
    }
}
